## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeElementNANS Class Reference

`#include <XalanSourceTreeElementNANS.hpp>`

Inheritance diagram for XalanSourceTreeElementNANS:

[legend]
Collaboration diagram for XalanSourceTreeElementNANS:

[legend]
List of all members.

## Public Methods

- XalanSourceTreeElementNANS (const XalanDOMString &theTagName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, XalanSourceTreeDocument *theOwnerDocument, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Constructor. More...
- virtual ~XalanSourceTreeElementNANS ()
- virtual XalanSourceTreeElementNANS* cloneNode (bool deep) const
    Returns a duplicate of this node. More...
- virtual const XalanDOMString& getNamespaceURI () const
    Get the namespace URI of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getPrefix () const
    Get the namespace prefix of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getLocalName () const
    Returns the local part of the qualified name of this node. More...
- XalanSourceTreeElementNANS* clone (bool deep) const

## Protected Methods

- XalanSourceTreeElementNANS (const XalanSourceTreeElementNANS &theSource, bool deep=false)

## Constructor & Destructor Documentation

XalanSourceTreeElementNANS::XalanSourceTreeElementNANS ( | const XalanDOMString & theTagName,
| const XalanDOMString & theLocalName,
| const XalanDOMString & theNamespaceURI,
| const XalanDOMString & thePrefix,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

  | Constructor. Parameters:
  theTagName | The tag name of the element
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theOwnerDocument | The document that owns the instance
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

XalanSourceTreeElementNANS::~XalanSourceTreeElementNANS ( | )`[virtual]`

XalanSourceTreeElementNANS::XalanSourceTreeElementNANS ( | const XalanSourceTreeElementNANS & theSource,
| bool deep = false )`[protected]`

## Member Function Documentation

XalanSourceTreeElementNANS * XalanSourceTreeElementNANS::clone ( | bool deep ) const

| Reimplemented from XalanSourceTreeElementNA.

XalanSourceTreeElementNANS * XalanSourceTreeElementNANS::cloneNode ( | bool deep ) const`[virtual]`

  | Returns a duplicate of this node. This function serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.). Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node. Parameters:
  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
Returns: The duplicate node. Reimplemented from XalanSourceTreeElementNA.

const XalanDOMString & XalanSourceTreeElementNANS::getLocalName ( | ) const`[virtual]`

| Returns the local part of the qualified name of this node. For nodes created with a DOM Level 1 method, such as `createElement` from the `DOM_Document` interface, it is null. Reimplemented from XalanSourceTreeElementNA.

const XalanDOMString & XalanSourceTreeElementNANS::getNamespaceURI ( | ) const`[virtual]`

| Get the namespace URI of this node, or `null` if it is unspecified. This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time. For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`. Reimplemented from XalanSourceTreeElementNA.

const XalanDOMString & XalanSourceTreeElementNANS::getPrefix ( | ) const`[virtual]`

| Get the namespace prefix of this node, or `null` if it is unspecified. Reimplemented from XalanSourceTreeElementNA.

The documentation for this class was generated from the following file:

- XalanSourceTreeElementNANS.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.